--note to self:  keep the version number updated, Aurin

local LibraryName = "KiruChalDataLib" 
local Version = 3

local ExistingPackage = Apollo.GetPackage(LibraryName)
--if the package is already loaded from somewhere else and it's a newer version skip loading this one
if ExistingPackage and (ExistingPackage.nVersion or 0) >= Version then return end

local KiruChalDataLib = ExistingPackage and ExistingPackage.tPackage or {}

local Data = {}
Data.Exile = {}
Data.Dom = {}

Data.Exile[39] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Scale the Loftite Cliffs", Type = 2, x = 3537, z = -4768 }
Data.Exile[40] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Loftite Collector", Type = 4, x = 3613, z = -4710 }
Data.Exile[42] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Tremor Ridge Defender", Type = 0, x = 3390, z = -4351 }
Data.Exile[44] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Cavern Clearing", Type = 0, x = 2978, z = -4975 }
Data.Exile[45] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Darkspur Massacre", Type = 0, x = 5595, z = -3019 }
Data.Exile[46] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Pell Punisher", Type = 0, x = 5591, z = -1952 }
Data.Exile[47] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Supply Run", Type = 2, x = 5398, z = -2770 }
Data.Exile[48] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Buzz Off", Type = 0, x = 6243, z = -2244 }
Data.Exile[49] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Kel Vishal Carnage", Type = 0, x = 6010, z = -1918 }
Data.Exile[50] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Bleeder of the Pack", Type = 0, x = 6282, z = -2662 }
Data.Exile[51] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Falkrin Flayer", Type = 0, x = 6620, z = -2675 }
Data.Exile[54] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Cartel Slayer", Type = 0, x = 3974, z = -3874 }
Data.Exile[55] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Swiftpaw Slayer", Type = 0, x = 4012, z = -4226 }
Data.Exile[58] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Grim Reaper", Type = 0, x = 4201, z = -3344 }
Data.Exile[59] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Smush Shrooms", Type = 0, x = 4335, z = -3420 }
Data.Exile[61] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Energized Stones", Type = 4, x = 3994, z = -4411 }
Data.Exile[63] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Cooking with Fire", Type = 1, x = 5208, z = -3153 }
Data.Exile[64] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Dominate the Dominion", Type = 0, x = 6004, z = -2722 }
Data.Exile[65] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Data Recovery", Type = 4, x = 5106, z = -3881 }
Data.Exile[66] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Thrashwind Thrasher", Type = 0, x = 4742, z = -3361 }
Data.Exile[67] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Windspire Ascent", Type = 2, x = 5113, z = -2948 }
Data.Exile[68] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Honeyhive Harvester", Type = 4, x = 5302, z = -1879 }
Data.Exile[69] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Reaping Ravenok", Type = 0, x = 4874, z = -2151 }
Data.Exile[70] =  { ZoneName = "Galeras", ZoneID = 0, Name = "A Thorn in the Side", Type = 0, x = 4909, z = -2588 }
Data.Exile[74] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Windy Hollow Pest Control", Type = 0, x = 5941, z = -2958 }
Data.Exile[76] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Canimid Killer", Type = 0, x = 4369, z = -3713 }
Data.Exile[77] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Grinding Up Gronyx", Type = 0, x = 4672, z = -4194 }
Data.Exile[78] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Protector Rejector", Type = 0, x = 4480, z = -3807 }
Data.Exile[80] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Scrap Yard", Type = 4, x = 4525, z = -3804 }
Data.Exile[103] =  { ZoneName = "Northern Wilds", ZoneID = 0, Name = "Skeech Slayer", Type = 0, x = 4680, z = -5692 }
Data.Exile[104] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Death to All Gribbons", Type = 0, x = 5492, z = -2680 }
Data.Exile[105] =  { ZoneName = "Northern Wilds", ZoneID = 0, Name = "Rootbrute Slayer", Type = 0, x = 4529, z = -5549 }
Data.Exile[106] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Gone with the Wind", Type = 4, x = 5502, z = -2649 }
Data.Exile[107] =  { ZoneName = "Northern Wilds", ZoneID = 0, Name = "Xenobite Egg Smasher", Type = 0, x = 4828, z = -5673 }
Data.Exile[108] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Stonespike Squasher", Type = 0, x = 5522, z = -2696 }
Data.Exile[111] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Grubling Gluttony", Type = 0, x = 6282, z = -2662 }
Data.Exile[112] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Frantic Field Medicine", Type = 2, x = 5948, z = -2734 }
Data.Exile[113] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Scale the Loftite Pillar", Type = 2, x = 3389, z = -3952 }
Data.Exile[114] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Minefield Mayhem", Type = 2, x = 3605, z = -4489 }
Data.Exile[116] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "The Grid", Type = 2, x = 3598, z = -3581 }
Data.Exile[117] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Snatching Snoglug Eggs", Type = 4, x = 3189, z = -4922 }
Data.Exile[118] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Eldan Wall Scaler", Type = 2, x = 4502, z = -4316 }
Data.Exile[119] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Eldan Construct Border Scaler", Type = 2, x = 4600, z = -3566 }
Data.Exile[126] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Dominion Datachrons", Type = 4, x = 5077, z = -2517 }
Data.Exile[134] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Skug Egg Destroyer", Type = 0, x = 4192, z = -4244 }
Data.Exile[138] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Roan Tipping", Type = 2, x = 3998, z = -4193 }
Data.Exile[140] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Collect Crowe Masks", Type = 4, x = 4110, z = -4558 }
Data.Exile[154] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Cooling Down", Type = 1, x = 5065, z = -2413 }
Data.Exile[166] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Windrunner", Type = 2, x = 5989, z = -1830 }
Data.Exile[167] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Crushing the Crimson Legion", Type = 0, x = 4771, z = -2628 }
Data.Exile[172] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Whimsical Whimfibers", Type = 2, x = 5224, z = -2394 }
Data.Exile[177] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Whistlewind Cave In", Type = 0, x = 4623, z = -2745 }
Data.Exile[178] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Pummel the Pumera", Type = 0, x = 5281, z = 73 }
Data.Exile[179] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Squish Swarmlings", Type = 0, x = 5089, z = -650 }
Data.Exile[180] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Break the Bots", Type = 0, x = 5726, z = -894 }
Data.Exile[181] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Slay the Silversnout", Type = 0, x = 2204, z = -22 }
Data.Exile[182] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Exploding Icetails", Type = 1, x = 5457, z = -455 }
Data.Exile[183] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Mortar Dodger", Type = 2, x = 4880, z = -2191 }
Data.Exile[184] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Scaling Mount Tempest", Type = 2, x = 5249, z = -2404 }
Data.Exile[185] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Green Thumb", Type = 2, x = 5973, z = -2536 }
Data.Exile[187] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Ice Crag Vista", Type = 2, x = 5218, z = -85 }
Data.Exile[191] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Uplifting Updrafts", Type = 2, x = 5578, z = -3024 }
Data.Exile[194] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Race to the XAS Dig Site", Type = 2, x = 4667, z = -4080 }
Data.Exile[205] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Augmented Abominations", Type = 0, x = 5130, z = -3864 }
Data.Exile[206] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Bot Basher", Type = 0, x = 4920, z = -3115 }
Data.Exile[207] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Deadly Focus", Type = 0, x = 5186, z = -3539 }
Data.Exile[208] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Turret Short Circuit", Type = 1, x = 4938, z = -3025 }
Data.Exile[211] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Subvert the Scientists", Type = 0, x = 5562, z = 142 }
Data.Exile[213] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Spying on the Spies", Type = 4, x = 5698, z = -26 }
Data.Exile[215] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Crimson Legion Fuel Depot Fizzler", Type = 0, x = 5208, z = -3139 }
Data.Exile[216] =  { ZoneName = "Galeras", ZoneID = 0, Name = "I.C.Iconoclast", Type = 0, x = 4694, z = -3103 }
Data.Exile[263] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Road Rage", Type = 2, x = 4252, z = 313 }
Data.Exile[268] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Ice the Icetooths", Type = 0, x = 4350, z = -340 }
Data.Exile[283] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Redmoon Revenge", Type = 0, x = 3823, z = -261 }
Data.Exile[284] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Snuff the Snoglug", Type = 0, x = 3793, z = -786 }
Data.Exile[285] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Squish the Squirg", Type = 0, x = 3755, z = 215 }
Data.Exile[286] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Snow&#39;s Fall: Snowball Fight", Type = 1, x = 3214, z = -266 }
Data.Exile[324] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Slay the Soulcore", Type = 0, x = 2197, z = 630 }
Data.Exile[329] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Race to the Top", Type = 2, x = 3183, z = 1472 }
Data.Exile[334] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Silverscale Slaughter", Type = 0, x = 3914, z = 912 }
Data.Exile[338] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Doomtide Destroyer", Type = 0, x = 2317, z = 1251 }
Data.Exile[344] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Lightning Rod", Type = 2, x = 2724, z = 1189 }
Data.Exile[345] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Speedy Delivery", Type = 2, x = 3030, z = 753 }
Data.Exile[399] =  { ZoneName = "Everstar Grove", ZoneID = 0, Name = "Barkblight Basher", Type = 0, x = -626, z = -3713 }
Data.Exile[400] =  { ZoneName = "Everstar Grove", ZoneID = 0, Name = "Guardian Crusher", Type = 0, x = -204, z = -3208 }
Data.Exile[409] =  { ZoneName = "Farside", ZoneID = 0, Name = "Extraterrestrial Exterminator", Type = 0, x = 3787, z = -5833 }
Data.Exile[410] =  { ZoneName = "Everstar Grove", ZoneID = 0, Name = "Flitterfly Chaser", Type = 2, x = -416, z = -3520 }
Data.Exile[411] =  { ZoneName = "Farside", ZoneID = 0, Name = "Lumos Drifter Lure", Type = 1, x = 3787, z = -5833 }
Data.Exile[426] =  { ZoneName = "Farside", ZoneID = 0, Name = "Pinchers of Peril", Type = 0, x = 3033, z = -6162 }
Data.Exile[427] =  { ZoneName = "Farside", ZoneID = 0, Name = "Shallow Impact", Type = 4, x = 3797, z = -5874 }
Data.Exile[434] =  { ZoneName = "Farside", ZoneID = 0, Name = "Ravenous Annihilation", Type = 0, x = 4602, z = -6662 }
Data.Exile[435] =  { ZoneName = "Derelict Silo E23", ZoneID = 0, Name = "Stairway to Heaven", Type = 2, x = 5768, z = -11975 }
Data.Exile[438] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Five Fingered Discount", Type = 4, x = 2854, z = -2814 }
Data.Exile[439] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Felling the Wildfallen", Type = 0, x = 2463, z = -2705 }
Data.Exile[440] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Splorg Stomp", Type = 0, x = 2278, z = -1788 }
Data.Exile[442] =  { ZoneName = "Farside", ZoneID = 0, Name = "Target Practice", Type = 2, x = 3576, z = -6024 }
Data.Exile[446] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Don't Drink and Fly", Type = 4, x = 2128, z = -1716 }
Data.Exile[448] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Tune Out", Type = 0, x = 3166, z = -2967 }
Data.Exile[449] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Firestorm Fighter", Type = 0, x = 1413, z = -3167 }
Data.Exile[450] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Buzzbing Buzzkills", Type = 0, x = 734, z = -1886 }
Data.Exile[473] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Cursewood Killer", Type = 0, x = 1591, z = -1600 }
Data.Exile[475] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Bonerazer Slayer", Type = 0, x = 1104, z = -1458 }
Data.Exile[476] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Moodie Massacre", Type = 0, x = 1679, z = -2273 }
Data.Exile[480] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Horn of Heralding", Type = 1, x = 748, z = -1855 }
Data.Exile[481] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Up the Falls", Type = 2, x = 554, z = -2561 }
Data.Exile[493] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Chasing Fireflies", Type = 2, x = 596, z = -2630 }
Data.Exile[495] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Greenbark Gardener", Type = 0, x = 1237, z = -2709 }
Data.Exile[500] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Murgh Along", Type = 2, x = 6512, z = -2564 }
Data.Exile[509] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Construct Deconstructor", Type = 0, x = 2939, z = -1761 }
Data.Exile[510] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Tanglemore Terminator", Type = 0, x = 2210, z = -1626 }
Data.Exile[512] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Scrap Metal", Type = 0, x = 3262, z = -1977 }
Data.Exile[514] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Close Quarters Grenadier", Type = 1, x = 3513, z = -1707 }
Data.Exile[517] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Fruit of the Bloom", Type = 4, x = 2058, z = -2708 }
Data.Exile[518] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Torine Troubles", Type = 0, x = 2482, z = -3164 }
Data.Exile[519] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Rapid Execution", Type = 0, x = 3622, z = -2569 }
Data.Exile[520] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Lifeglade Kills", Type = 0, x = 2127, z = -2724 }
Data.Exile[521] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Everything&#39;s Coming Up Radishes", Type = 2, x = 3092, z = -2641 }
Data.Exile[522] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Burn the Bodies", Type = 2, x = 3623, z = -2575 }
Data.Exile[523] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Whack A Pole", Type = 2, x = 2207, z = -3077 }
Data.Exile[525] =  { ZoneName = "Celestion", ZoneID = 0, Name = "It&#39;s in the Ooze", Type = 4, x = 2712, z = -1463 }
Data.Exile[528] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Strike It Lucky", Type = 4, x = 2215, z = -1611 }
Data.Exile[529] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Swiftfoot Supplies", Type = 2, x = 2808, z = -2476 }
Data.Exile[531] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Licking Lolli-Lopps", Type = 4, x = 2167, z = -1957 }
Data.Exile[533] =  { ZoneName = "Northern Wastes", ZoneID = 0, Name = "Frostbitten Foes", Type = 0, x = -28050, z = -29234 }
Data.Exile[534] =  { ZoneName = "Northern Wastes", ZoneID = 0, Name = "Douse the Ghostpyre", Type = 0, x = -28351, z = -29144 }
Data.Exile[1081] =  { ZoneName = "Northern Wastes", ZoneID = 0, Name = "End the Suffering", Type = 0, x = -28685, z = -29007 }
Data.Exile[536] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Dancing with Data", Type = 2, x = 2416, z = -2482 }
Data.Exile[545] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Reverse Engineering", Type = 1, x = 2212, z = 678 }
Data.Exile[546] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Powering Down", Type = 7, x = 2108, z = 541 }
Data.Exile[549] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Who Ya Gunna Call?", Type = 0, x = 1814, z = 3796 }
Data.Exile[550] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Ending the Swindlers", Type = 0, x = 2873, z = 4342 }
Data.Exile[551] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "The Only Good Dreg", Type = 0, x = 495, z = 4075 }
Data.Exile[552] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Picking the Desert Rose", Type = 2, x = 2087, z = 4051 }
Data.Exile[553] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Efficiency is Key", Type = 0, x = 1490, z = 3546 }
Data.Exile[554] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Shiny Pearls", Type = 4, x = 878, z = 4364 }
Data.Exile[557] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Tar and Feather", Type = 1, x = 2525, z = 4323 }
Data.Exile[558] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Stolen Goods", Type = 4, x = 3188, z = 4602 }
Data.Exile[559] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "One Small Hop", Type = 2, x = 3216, z = 4641 }
Data.Exile[563] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Bite the Dust", Type = 0, x = 907, z = 4105 }
Data.Exile[573] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Spider Stomping", Type = 0, x = 1780, z = 2638 }
Data.Exile[574] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Murgh Slayer", Type = 0, x = 2529, z = 3156 }
Data.Exile[575] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Bug Bombing", Type = 1, x = 2715, z = 3512 }
Data.Exile[576] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Roan Skulls", Type = 4, x = 2956, z = 3774 }
Data.Exile[577] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Targeted Obsolescence", Type = 0, x = 2292, z = 3698 }
Data.Exile[578] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Counter Terrorism", Type = 0, x = 1495, z = 3152 }
Data.Exile[579] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "A Spirited Climb", Type = 2, x = 1822, z = 3185 }
Data.Exile[581] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Where There's Smoke, There's Progress!", Type = 2, x = 1547, z = 3193 }
Data.Exile[585] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Every Hellrose Has Its Thorn", Type = 2, x = 2906, z = 3191 }
Data.Exile[591] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Storming the Flamedancers", Type = 0, x = 2675, z = 3838 }
Data.Exile[601] =  { ZoneName = "Crimson Badlands", ZoneID = 0, Name = "Sticky Supplies", Type = 4, x = -22141, z = -27618 }
Data.Exile[602] =  { ZoneName = "Crimson Badlands", ZoneID = 0, Name = "Living Stone", Type = 0, x = -22315, z = -28064 }
Data.Exile[603] =  { ZoneName = "Crimson Badlands", ZoneID = 0, Name = "Waterlogged", Type = 2, x = -21871, z = -27503 }
Data.Exile[606] =  { ZoneName = "Crimson Badlands", ZoneID = 0, Name = "Life Splice", Type = 1, x = -22081, z = -27972 }
Data.Exile[609] =  { ZoneName = "Crimson Badlands", ZoneID = 0, Name = "Rock Climber", Type = 2, x = -22442, z = -28447 }
Data.Exile[610] =  { ZoneName = "Crimson Badlands", ZoneID = 0, Name = "Coastal Scarhide Executioner", Type = 0, x = -22442, z = -27225 }
Data.Exile[620] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Seek and Destroy", Type = 2, x = 4356, z = -3200 }
Data.Exile[621] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Bull's-Eye!", Type = 2, x = 3625, z = -3194 }
Data.Exile[631] =  { ZoneName = "Housing", ZoneID = 0, Name = "Rider on the Storm", Type = 2, x = 0, z = 0 }
Data.Exile[632] =  { ZoneName = "Housing", ZoneID = 0, Name = "Cracking the Code", Type = 2, x = 0, z = 0 }
Data.Exile[636] =  { ZoneName = "Housing", ZoneID = 0, Name = "That's the Spirit!", Type = 1, x = 0, z = 0 }
Data.Exile[646] =  { ZoneName = "Southern Grimvault", ZoneID = 0, Name = "Conquer the Corrupt", Type = 0, x = 0, z = 0 }
Data.Exile[647] =  { ZoneName = "Bio-Dome 3", ZoneID = 0, Name = "Tanglevine Trouble", Type = 0, x = 1105, z = -1546 }
Data.Exile[649] =  { ZoneName = "Housing", ZoneID = 0, Name = "This Ain't No Bathtub Hooch!", Type = 2, x = 0, z = 0 }
Data.Exile[654] =  { ZoneName = "Bio-Dome 3", ZoneID = 0, Name = "Jungle Dash", Type = 2, x = 1495, z = -1475 }
Data.Exile[655] =  { ZoneName = "Bio-Dome 4", ZoneID = 0, Name = "To the High Flame", Type = 2, x = 4999, z = -1546 }
Data.Exile[656] =  { ZoneName = "Southern Grimvault", ZoneID = 0, Name = "Grimvault Reaper", Type = 0, x = 1978, z = -1066 }
Data.Exile[657] =  { ZoneName = "Southern Grimvault", ZoneID = 0, Name = "Incorruptible", Type = 0, x = 2005, z = -1760 }
Data.Exile[658] =  { ZoneName = "Western Grimvault", ZoneID = 0, Name = "Demolition Expert", Type = 2, x = 859, z = -2563 }
Data.Exile[659] =  { ZoneName = "Bio-Dome 3", ZoneID = 0, Name = "Elemental Grab Bag", Type = 4, x = 1519, z = -1143 }
Data.Exile[662] =  { ZoneName = "Bio-Dome 4", ZoneID = 0, Name = "View From a Hill", Type = 2, x = 4490, z = -1558 }
Data.Exile[664] =  { ZoneName = "Bio-Dome 3", ZoneID = 0, Name = "Garr Egg Squish", Type = 2, x = 1176, z = -1467 }
Data.Exile[668] =  { ZoneName = "Bio-Dome 4", ZoneID = 0, Name = "Sandy Secrets", Type = 0, x = 4690, z = -1775 }
Data.Exile[672] =  { ZoneName = "Bio-Dome 4", ZoneID = 0, Name = "Elemental Extermination", Type = 0, x = 4402, z = -1199 }
Data.Exile[673] =  { ZoneName = "Bio-Dome 3", ZoneID = 0, Name = "A Bouquet of Willoweep", Type = 4, x = 1936, z = -1536 }
Data.Exile[675] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Hard as Iron", Type = 0, x = 3255, z = -4160 }
Data.Exile[676] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Airdrop Gone Wrong", Type = 4, x = 2412, z = -4979 }
Data.Exile[680] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Race to the Unknown", Type = 2, x = 2299, z = -4602 }
Data.Exile[681] =  { ZoneName = "Housing", ZoneID = 0, Name = "Eggbeater", Type = 2, x = 0, z = 0 }
Data.Exile[682] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Tending the Garden", Type = 0, x = 1417, z = -4069 }
Data.Exile[683] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Podsweeper", Type = 0, x = 1105, z = -4284 }
Data.Exile[684] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Gator Hater", Type = 0, x = 2130, z = -4400 }
Data.Exile[685] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Claw and Staff", Type = 0, x = 1638, z = -4158 }
Data.Exile[686] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "How to Save a Life", Type = 2, x = 1948, z = -4206 }
Data.Exile[687] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Loot of the Lost", Type = 4, x = 3258, z = -4159 }
Data.Exile[688] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Dastardly Duskfangs", Type = 0, x = 1386, z = -3810 }
Data.Exile[690] =  { ZoneName = "Southern Grimvault", ZoneID = 0, Name = "Peep Chase", Type = 1, x = 2708, z = 675 }
Data.Exile[701] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Breakneck Bouncing", Type = 1, x = 4642, z = -695 }
Data.Exile[702] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Walatusk Meat", Type = 4, x = 4028, z = -430 }
Data.Exile[737] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Scrapping the Scrab", Type = 0, x = 2087, z = 4051 }
Data.Exile[739] =  { ZoneName = "Housing", ZoneID = 0, Name = "Dump Diving", Type = 4, x = 0, z = 0 }
Data.Exile[740] =  { ZoneName = "Housing", ZoneID = 0, Name = "Shiny Vind Chase", Type = 2, x = 0, z = 0 }
Data.Exile[742] =  { ZoneName = "Housing", ZoneID = 0, Name = "Heart and Souls", Type = 2, x = 0, z = 0 }
Data.Exile[743] =  { ZoneName = "Housing", ZoneID = 0, Name = "Grounding the Storm", Type = 2, x = 0, z = 0 }
Data.Exile[745] =  { ZoneName = "Housing", ZoneID = 0, Name = "Intercept the Ikthians", Type = 2, x = 0, z = 0 }
Data.Exile[747] =  { ZoneName = "Housing", ZoneID = 0, Name = "Ice Anomalies", Type = 2, x = 0, z = 0 }
Data.Exile[753] =  { ZoneName = "Housing", ZoneID = 0, Name = "Top of the World", Type = 2, x = 0, z = 0 }
Data.Exile[923] =  { ZoneName = "Farside", ZoneID = 0, Name = "Entrance Exam", Type = 2, x = 2991, z = -6692 }
Data.Exile[938] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Cutting Vines", Type = 0, x = 2356, z = -3015 }
Data.Exile[948] =  { ZoneName = "Alpha Complex", ZoneID = 0, Name = "Full of Life", Type = 2, x = 2693, z = -1111 }
Data.Exile[952] =  { ZoneName = "Alpha Complex", ZoneID = 0, Name = "Hot Feet", Type = 2, x = 3271, z = -1110 }
Data.Exile[957] =  { ZoneName = "Bio-Dome 4", ZoneID = 0, Name = "Just Keep Swinging", Type = 7, x = 4725, z = -1578 }
Data.Exile[963] =  { ZoneName = "Housing", ZoneID = 0, Name = "Gold Grab", Type = 2, x = 0, z = 0 }
Data.Exile[969] =  { ZoneName = "Western Grimvault", ZoneID = 0, Name = "Get Off My Ship!", Type = 0, x = 804, z = -4141 }
Data.Exile[970] =  { ZoneName = "Western Grimvault", ZoneID = 0, Name = "What's in the Box?", Type = 4, x = 804, z = -4141 }
Data.Exile[971] =  { ZoneName = "Housing", ZoneID = 0, Name = "Tower Defender", Type = 2, x = 0, z = 0 }
Data.Exile[973] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Red Light Green Light", Type = 2, x = 1782, z = -2905 }
Data.Exile[974] =  { ZoneName = "Housing", ZoneID = 0, Name = "Evasive Maneuvers", Type = 2, x = 0, z = 0 }
Data.Exile[977] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Soul Sanctification", Type = 1, x = 2085, z = -3185 }
Data.Exile[980] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Bird Watching", Type = 2, x = 2259, z = -2482 }
Data.Exile[981] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Doing Things The Hard Way", Type = 2, x = 3736, z = 317 }
Data.Exile[983] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Sister Slaughter", Type = 0, x = 1778, z = -2440 }
Data.Exile[984] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Animal Annihilation", Type = 0, x = 2008, z = -2726 }
Data.Exile[986] =  { ZoneName = "Celestion", ZoneID = 0, Name = "Spider Egg Poacher", Type = 2, x = 2460, z = -1985 }
Data.Exile[988] =  { ZoneName = "Housing", ZoneID = 0, Name = "Stomping Grounds", Type = 2, x = 0, z = 0 }
Data.Exile[989] =  { ZoneName = "Housing", ZoneID = 0, Name = "Steamglider Flurry", Type = 1, x = 0, z = 0 }
Data.Exile[990] =  { ZoneName = "Housing", ZoneID = 0, Name = "When Cubigs Fly", Type = 2, x = 0, z = 0 }
Data.Exile[991] =  { ZoneName = "Western Grimvault", ZoneID = 0, Name = "Holo Visions", Type = 2, x = 780, z = -4033 }
Data.Exile[992] =  { ZoneName = "Western Grimvault", ZoneID = 0, Name = "Poppin' Pustules", Type = 2, x = -1023, z = -4095 }
Data.Exile[993] =  { ZoneName = "Western Grimvault", ZoneID = 0, Name = "Vile Evisceration", Type = 0, x = -1023, z = -4095 }
Data.Exile[995] =  { ZoneName = "Western Grimvault", ZoneID = 0, Name = "Falling With Style", Type = 2, x = -203, z = -4570 }
Data.Exile[997] =  { ZoneName = "The Core", ZoneID = 0, Name = "Hacking the System", Type = 0, x = 0, z = -2 }
Data.Exile[1000] =  { ZoneName = "Thayd", ZoneID = 0, Name = "Diary Detritus Deliverance", Type = 4, x = 4226, z = -1673 }
Data.Exile[1001] =  { ZoneName = "Thayd", ZoneID = 0, Name = "One Exile's Trash...", Type = 4, x = 4107, z = -1931 }
Data.Exile[1002] =  { ZoneName = "Thayd", ZoneID = 0, Name = "Thayd Sprint", Type = 2, x = 3899, z = -1682 }
Data.Exile[1003] =  { ZoneName = "Thayd", ZoneID = 0, Name = "Fortune's Advertising", Type = 1, x = 3902, z = -1802 }
Data.Exile[1004] =  { ZoneName = "Thayd", ZoneID = 0, Name = "Bursting Their Bubble", Type = 1, x = 3676, z = -1844 }
Data.Exile[1005] =  { ZoneName = "Thayd", ZoneID = 0, Name = "Dan's Dancer Evolution!", Type = 2, x = 4272, z = -1916 }
Data.Exile[1006] =  { ZoneName = "Western Grimvault", ZoneID = 0, Name = "Might as Well Jump", Type = 7, x = 804, z = -4141 }
Data.Exile[1008] =  { ZoneName = "Blighthaven", ZoneID = 0, Name = "Smackdown in the Swamp", Type = 0, x = 2530, z = -5422 }
Data.Exile[1009] =  { ZoneName = "Blighthaven", ZoneID = 0, Name = "The Element of Destruction", Type = 0, x = 2432, z = -6319 }
Data.Exile[1010] =  { ZoneName = "Blighthaven", ZoneID = 0, Name = "Up in the Air", Type = 0, x = 1954, z = -7296 }
Data.Exile[1012] =  { ZoneName = "Blighthaven", ZoneID = 0, Name = "Illogical Arguments", Type = 1, x = 3312, z = -6667 }
Data.Exile[1013] =  { ZoneName = "Blighthaven", ZoneID = 0, Name = "Between a Rock and a Hot Place", Type = 0, x = 3096, z = -6310 }
Data.Exile[1014] =  { ZoneName = "Blighthaven", ZoneID = 0, Name = "Windwalker", Type = 2, x = 3065, z = -6589 }
Data.Exile[1015] =  { ZoneName = "Blighthaven", ZoneID = 0, Name = "Subterranean Simians", Type = 0, x = 1872, z = -4878 }
Data.Exile[1032] =  { ZoneName = "Blighthaven", ZoneID = 0, Name = "Cannonball", Type = 7, x = 2530, z = -5422 }
Data.Exile[1033] =  { ZoneName = "Blighthaven", ZoneID = 0, Name = "Speedy Shroomery", Type = 4, x = 2653, z = -5614 }
Data.Exile[1038] =  { ZoneName = "Blighthaven", ZoneID = 0, Name = "Ride the Lightning", Type = 7, x = 987, z = -4904 }
Data.Exile[1039] =  { ZoneName = "Blighthaven", ZoneID = 0, Name = "Don't Drink the Juice", Type = 2, x = 1872, z = -4878 }
Data.Exile[1044] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Skittering Slaughter", Type = 0, x = 4638, z = -3952 }
Data.Exile[1045] =  { ZoneName = "Algoroc", ZoneID = 0, Name = "Grotto Grave Digger", Type = 2, x = 4638, z = -3952 }
Data.Exile[1073] =  { ZoneName = "Housing", ZoneID = 0, Name = "Medic!", Type = 2, x = 0, z = 0 }
Data.Exile[1081] =  { ZoneName = "Northern Wastes", ZoneID = 0, Name = "End the Suffering", Type = 0, x = -28685, z = -29007 }
Data.Exile[1083] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Surveillance Scrounger", Type = 4, x = 5599, z = -2000 }
Data.Exile[1084] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Feather in Your Cap", Type = 4, x = 5558, z = -2899 }
Data.Exile[1085] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Windy Climb", Type = 2, x = 5713, z = -2972 }
Data.Exile[1086] =  { ZoneName = "Derelict Silo E23", ZoneID = 0, Name = "Face Off", Type = 0, x = 5602, z = -11614 }
Data.Exile[1087] =  { ZoneName = "Farside", ZoneID = 0, Name = "Plasma Donors", Type = 4, x = 3407, z = -5195 }
Data.Exile[1088] =  { ZoneName = "Southern Grimvault", ZoneID = 0, Name = "Disarming Fingers", Type = 1, x = 849, z = -175 }
Data.Exile[1096] =  { ZoneName = "Housing", ZoneID = 0, Name = "Give 'Em the Boot", Type = 2, x = 0, z = 0 }
Data.Exile[1079] =  { ZoneName = "The Defile", ZoneID = 0, Name = "Resonance Runner", Type = 2, x = 2851, z = -6133 }
Data.Exile[1102] =  { ZoneName = "The Defile", ZoneID = 0, Name = "Such Kills", Type = 0, x =3897 , z = -4132}
Data.Exile[1105] =  { ZoneName = "The Defile", ZoneID = 0, Name = "Another Sassy Mess", Type = 7, x =4712  , z = -4202}
Data.Exile[1080] =  { ZoneName = "The Defile", ZoneID = 0, Name = "A Buzz Cut", Type = 0, x =4905  , z = -4304}
Data.Exile[1077] =  { ZoneName = "The Defile", ZoneID = 0, Name = "Bug Off", Type = 1, x =4905  , z = -4304}
Data.Exile[1078] =  { ZoneName = "The Defile", ZoneID = 0, Name = "Diagnostic Tests", Type = 2, x =4085  , z = -4788}
Data.Exile[1075] =  { ZoneName = "The Defile", ZoneID = 0, Name = "Brain Drain", Type = 0, x =4085  , z = -4788}
Data.Exile[1074] =  { ZoneName = "The Defile", ZoneID = 0, Name = "Elementalist", Type = 0, x =5163  , z = -4854}

Data.Dom = {}

Data.Dom[17] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Whitepaw Slayer", Type = 0, x = -5285, z = -742 }
Data.Dom[18] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Gnarlfoot Slayer", Type = 0, x = -5285, z = -742 }
Data.Dom[19] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Coastal Tusker Slayer", Type = 0, x = -6054, z = -615 }
Data.Dom[20] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Deadwind Slayer", Type = 0, x = -5616, z = -1446 }
Data.Dom[21] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Stonetusk Slayer", Type = 0, x = -5227, z = -1218 }
Data.Dom[22] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Treeclimber", Type = 2, x = -4994, z = -735 }
Data.Dom[181] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Slay the Silversnout", Type = 0, x = 2204, z = -22 }
Data.Dom[219] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Stray Slayer", Type = 0, x = 2258, z = -332 }
Data.Dom[220] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Exile Expulsion", Type = 0, x = 2346, z = -449 }
Data.Dom[221] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Chompacabra Challenger", Type = 0, x = 2417, z = -321 }
Data.Dom[234] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Augmented Tissue Samples", Type = 4, x = 2529, z = 136 }
Data.Dom[235] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Bugs or Pests?", Type = 2, x = 2505, z = -318 }
Data.Dom[236] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Defusing the Situation", Type = 2, x = 2359, z = -417 }
Data.Dom[238] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Deadrock Statue", Type = 2, x = 1680, z = -39 }
Data.Dom[251] =  { ZoneName = "Crimson Isle", ZoneID = 0, Name = "Dreg Destroyer", Type = 0, x = -7172, z = -870 }
Data.Dom[252] =  { ZoneName = "Crimson Isle", ZoneID = 0, Name = "Arachnicide", Type = 0, x = -7304, z = -467 }
Data.Dom[253] =  { ZoneName = "Crimson Isle", ZoneID = 0, Name = "Egg Smasher", Type = 0, x = -7284, z = -440 }
Data.Dom[263] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Road Rage", Type = 2, x = 4252, z = 313 }
Data.Dom[265] =  { ZoneName = "Auroria", ZoneID = 0, Name = "To the Roof", Type = 2, x = -2355, z = -1987 }
Data.Dom[268] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Ice the Icetooths", Type = 0, x = 4350, z = -340 }
Data.Dom[269] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Race for the Cure", Type = 2, x = -2593, z = -1917 }
Data.Dom[270] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Purging the Plague", Type = 0, x = -2400, z = -1631 }
Data.Dom[271] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Cellar Dwellers", Type = 0, x = -2447, z = -1923 }
Data.Dom[272] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Vandarin Vandalizer", Type = 0, x = -2608, z = -1369 }
Data.Dom[273] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Bringin' the Bingberries", Type = 2, x = -2352, z = -1646 }
Data.Dom[274] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Greystone Rumble", Type = 0, x = -2367, z = -1009 }
Data.Dom[275] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Poxbrew Punisher", Type = 0, x = -2080, z = -1729 }
Data.Dom[276] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Surveying Device Says...", Type = 7, x = -2365, z = -1021 }
Data.Dom[283] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Redmoon Revenge", Type = 0, x = 3823, z = -261 }
Data.Dom[284] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Snuff the Snoglug", Type = 0, x = 3793, z = -786 }
Data.Dom[285] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Squish the Squirg", Type = 0, x = 3755, z = 215 }
Data.Dom[286] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Snow&#39;s Fall: Snowball Fight", Type = 1, x = 3214, z = -266 }
Data.Dom[294] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Veggie Delight", Type = 2, x = -2451, z = -1363 }
Data.Dom[300] =  { ZoneName = "Deradune", ZoneID = 0, Name = "A Tangled Mess", Type = 0, x = 0, z = 0 }
Data.Dom[301] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Terminite Troubles", Type = 0, x = -5243, z = -1874 }
Data.Dom[302] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Explosive Beginnings", Type = 2, x = -5207, z = -1843 }
Data.Dom[307] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Aurin Overgrowth", Type = 0, x = -4429, z = -941 }
Data.Dom[308] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Fallen Feathers", Type = 0, x = -4510, z = -1830 }
Data.Dom[309] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Falkrin War Banners", Type = 7, x = -4508, z = -1823 }
Data.Dom[315] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Record Time", Type = 4, x = -4710, z = -1282 }
Data.Dom[316] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Modified Monstrosities", Type = 0, x = -4700, z = -1286 }
Data.Dom[324] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Slay the Soulcore", Type = 0, x = 2197, z = 630 }
Data.Dom[325] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Owanee Speedway", Type = 2, x = -4820, z = 314 }
Data.Dom[326] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Grimvoid Rampage", Type = 0, x = -4759, z = 224 }
Data.Dom[327] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Ravaging Ripjaws", Type = 0, x = -4607, z = -550 }
Data.Dom[328] =  { ZoneName = "Levian Bay", ZoneID = 0, Name = "Pilfering Pearls", Type = 4, x = -3502, z = -5914 }
Data.Dom[329] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Race to the Top", Type = 2, x = 3183, z = 1472 }
Data.Dom[330] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Cuboar Deprecation", Type = 0, x = -1759, z = -2144 }
Data.Dom[331] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Smarter than the Average Girrok", Type = 0, x = -1919, z = -2171 }
Data.Dom[333] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Pulling Wings off Buzzbings", Type = 4, x = -1311, z = -2227 }
Data.Dom[334] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Silverscale Slaughter", Type = 0, x = 3914, z = 912 }
Data.Dom[335] =  { ZoneName = "Levian Bay", ZoneID = 0, Name = "Construct Crusher", Type = 0, x = -1763, z = -5938 }
Data.Dom[336] =  { ZoneName = "Engineering Sublevel Theta", ZoneID = 0, Name = "Skeech Slayer", Type = 0, x = -1868, z = -6253 }
Data.Dom[338] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Doomtide Destroyer", Type = 0, x = 2317, z = 1251 }
Data.Dom[343] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Longear Thrashing", Type = 0, x = -1735, z = -2407 }
Data.Dom[344] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Lightning Rod", Type = 2, x = 2724, z = 1189 }
Data.Dom[349] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Rock Biting", Type = 0, x = -1519, z = -1785 }
Data.Dom[350] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Hivestrike Massacre", Type = 0, x = -1008, z = -2477 }
Data.Dom[356] =  { ZoneName = "Deradune", ZoneID = 0, Name = "The Culling of Owanee Basin", Type = 0, x = -4727, z = -281 }
Data.Dom[358] =  { ZoneName = "Deradune", ZoneID = 0, Name = "...and Stay Down!", Type = 0, x = -5180, z = 176 }
Data.Dom[359] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Stinger Extraction", Type = 2, x = -1167, z = -2145 }
Data.Dom[374] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Paws Down", Type = 0, x = -4307, z = -326 }
Data.Dom[375] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Weed Whacker", Type = 0, x = -4334, z = 147 }
Data.Dom[391] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Skeech Saboteur", Type = 2, x = -1887, z = -676 }
Data.Dom[397] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Rock Breaker", Type = 0, x = -5731, z = 44 }
Data.Dom[409] =  { ZoneName = "Farside", ZoneID = 0, Name = "Extraterrestrial Exterminator", Type = 0, x = 3787, z = -5833 }
Data.Dom[411] =  { ZoneName = "Farside", ZoneID = 0, Name = "Lumos Drifter Lure", Type = 1, x = 3787, z = -5833 }
Data.Dom[415] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Challenge: Careful Descent", Type = 2, x = -5182, z = -249 }
Data.Dom[416] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Challenge: The Witchrock Passage", Type = 2, x = -6026, z = -1497 }
Data.Dom[417] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Now They Can Fly", Type = 1, x = -1616, z = -1036 }
Data.Dom[424] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Speeder Beater", Type = 2, x = -1631, z = -1009 }
Data.Dom[426] =  { ZoneName = "Farside", ZoneID = 0, Name = "Pinchers of Peril", Type = 0, x = 3033, z = -6162 }
Data.Dom[427] =  { ZoneName = "Farside", ZoneID = 0, Name = "Shallow Impact", Type = 4, x = 3797, z = -5874 }
Data.Dom[428] =  { ZoneName = "Auroria", ZoneID = 0, Name = "They're Around Here Somewhere", Type = 0, x = -1631, z = -1396 }
Data.Dom[429] =  { ZoneName = "Auroria", ZoneID = 0, Name = "They Grow Anywhere", Type = 4, x = -1519, z = -1397 }
Data.Dom[430] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Blackheart Annihilator", Type = 0, x = -1982, z = -787 }
Data.Dom[431] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Summoning Lessons", Type = 1, x = -1759, z = -383 }
Data.Dom[432] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Krogg Slog", Type = 0, x = -1631, z = -1009 }
Data.Dom[433] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Cannon Blast Evade", Type = 2, x = -1919, z = -731 }
Data.Dom[434] =  { ZoneName = "Farside", ZoneID = 0, Name = "Ravenous Annihilation", Type = 0, x = 4602, z = -6662 }
Data.Dom[435] =  { ZoneName = "Derelict Silo E23", ZoneID = 0, Name = "Stairway to Heaven", Type = 2, x = 5768, z = -11975 }
Data.Dom[436] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Robo Rumble", Type = 0, x = -1808, z = -1325 }
Data.Dom[437] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Shifting Priorities", Type = 2, x = -1808, z = -1325 }
Data.Dom[438] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Five Fingered Discount", Type = 4, x = 2854, z = -2814 }
Data.Dom[439] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Felling the Wildfallen", Type = 0, x = 2463, z = -2705 }
Data.Dom[441] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Splorg Stomp", Type = 0, x = 1348, z = -2040 }
Data.Dom[442] =  { ZoneName = "Farside", ZoneID = 0, Name = "Target Practice", Type = 2, x = 3576, z = -6024 }
Data.Dom[443] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Radiant Contraband", Type = 4, x = 1267, z = -1998 }
Data.Dom[448] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Tune Out", Type = 0, x = 3166, z = -2967 }
Data.Dom[452] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Down with the Darkfang", Type = 0, x = -1822, z = -3507 }
Data.Dom[453] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Necrobloomin' Fun", Type = 4, x = -1655, z = -3521 }
Data.Dom[454] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Snoglug Squasher", Type = 0, x = -2574, z = -3898 }
Data.Dom[455] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Near Enough Counts", Type = 1, x = -3050, z = -3915 }
Data.Dom[456] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Contents Under Pressure", Type = 2, x = -2265, z = -3241 }
Data.Dom[457] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Hear Ye, Hear Ye", Type = 1, x = -2491, z = -3499 }
Data.Dom[458] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "On the Prowl", Type = 0, x = -2006, z = -3829 }
Data.Dom[459] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Satisfying Crunch", Type = 0, x = -2146, z = -3528 }
Data.Dom[460] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "What's on Tap?", Type = 2, x = -2345, z = -3480 }
Data.Dom[464] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Haymaker", Type = 0, x = -1935, z = -426 }
Data.Dom[465] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Heavy Metal", Type = 4, x = -1039, z = -981 }
Data.Dom[466] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Vulcarrion Vaccination", Type = 1, x = -2067, z = -420 }
Data.Dom[467] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Hot Hand", Type = 2, x = -2351, z = -538 }
Data.Dom[468] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Drowning in Pell", Type = 0, x = -3386, z = -3294 }
Data.Dom[470] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Kickin' It", Type = 2, x = -2750, z = -3714 }
Data.Dom[472] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Tunnel Vision", Type = 2, x = -2453, z = -4277 }
Data.Dom[477] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Splashin' Dash", Type = 2, x = -3303, z = -3195 }
Data.Dom[479] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Shadowstalked", Type = 0, x = -1590, z = -3365 }
Data.Dom[483] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Ikthian timidation", Type = 0, x = -670, z = -3505 }
Data.Dom[484] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Rootbrute Rumble", Type = 0, x = -1231, z = -3761 }
Data.Dom[485] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Shiny Snacks", Type = 4, x = -2574, z = -3898 }
Data.Dom[487] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Fell the Forge Thralls", Type = 0, x = -1473, z = -209 }
Data.Dom[488] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Ride the Updraft", Type = 2, x = -1473, z = -209 }
Data.Dom[489] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Seriously?", Type = 0, x = -1215, z = -1120 }
Data.Dom[490] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Here Comes the Boom", Type = 2, x = -1327, z = -766 }
Data.Dom[491] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Voreth Vanquisher", Type = 0, x = -873, z = -619 }
Data.Dom[492] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Battlesworn Medallion Collector", Type = 4, x = -873, z = -619 }
Data.Dom[494] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Larallen Lake Currents", Type = 2, x = -2675, z = -3451 }
Data.Dom[496] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Getting into the Flow", Type = 2, x = -3391, z = -3466 }
Data.Dom[498] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Crushing Pumpkins", Type = 2, x = -2099, z = -313 }
Data.Dom[499] =  { ZoneName = "Auroria", ZoneID = 0, Name = "Dummy Damage", Type = 2, x = -2099, z = -313 }
Data.Dom[503] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Wrecking the Bio Mech", Type = 0, x = -3060, z = -2939 }
Data.Dom[504] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Dig Site Security", Type = 2, x = -3370, z = -2984 }
Data.Dom[505] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Lowland Lavender Eggs", Type = 2, x = -3051, z = -2970 }
Data.Dom[507] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Augmented Menaces", Type = 0, x = -2938, z = -2370 }
Data.Dom[508] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Can You Dig It?", Type = 2, x = -2934, z = -2520 }
Data.Dom[511] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Ravenok Racer", Type = 2, x = -2348, z = -3397 }
Data.Dom[515] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Shock to Your Systems", Type = 2, x = -2984, z = -2444 }
Data.Dom[516] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Webwood Cocktail Party", Type = 2, x = -2340, z = -2822 }
Data.Dom[527] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "A Quick Snog(lug)", Type = 0, x = -2500, z = -3079 }
Data.Dom[532] =  { ZoneName = "Ellevar", ZoneID = 0, Name = "Temple Consolation Prize", Type = 2, x = -2477, z = -2844 }
Data.Dom[533] =  { ZoneName = "Northern Wastes", ZoneID = 0, Name = "Frostbitten Foes", Type = 0, x = -28050, z = -29234 }
Data.Dom[534] =  { ZoneName = "Northern Wastes", ZoneID = 0, Name = "Douse the Ghostpyre", Type = 0, x = -28351, z = -29144 }
Data.Dom[545] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Reverse Engineering", Type = 1, x = 2212, z = 678 }
Data.Dom[546] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Powering Down", Type = 7, x = 2108, z = 541 }
Data.Dom[549] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Who Ya Gunna Call?", Type = 0, x = 1814, z = 3796 }
Data.Dom[550] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Ending the Swindlers", Type = 0, x = 2873, z = 4342 }
Data.Dom[551] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "The Only Good Dreg", Type = 0, x = 495, z = 4075 }
Data.Dom[552] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Picking the Desert Rose", Type = 2, x = 2087, z = 4051 }
Data.Dom[553] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Efficiency is Key", Type = 0, x = 1490, z = 3546 }
Data.Dom[554] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Shiny Pearls", Type = 4, x = 878, z = 4364 }
Data.Dom[557] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Tar and Feather", Type = 1, x = 2525, z = 4323 }
Data.Dom[558] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Stolen Goods", Type = 4, x = 3188, z = 4602 }
Data.Dom[559] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "One Small Hop", Type = 2, x = 3216, z = 4641 }
Data.Dom[563] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Bite the Dust", Type = 0, x = 907, z = 4105 }
Data.Dom[573] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Spider Stomping", Type = 0, x = 1780, z = 2638 }
Data.Dom[574] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Murgh Slayer", Type = 0, x = 2529, z = 3156 }
Data.Dom[575] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Bug Bombing", Type = 1, x = 2715, z = 3512 }
Data.Dom[576] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Roan Skulls", Type = 4, x = 2956, z = 3774 }
Data.Dom[577] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Targeted Obsolescence", Type = 0, x = 2292, z = 3698 }
Data.Dom[578] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Counter Terrorism", Type = 0, x = 1495, z = 3152 }
Data.Dom[579] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "A Spirited Climb", Type = 2, x = 1822, z = 3185 }
Data.Dom[581] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Where There's Smoke, There's Progress!", Type = 2, x = 1547, z = 3193 }
Data.Dom[585] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Every Hellrose Has Its Thorn", Type = 2, x = 2906, z = 3191 }
Data.Dom[591] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Storming the Flamedancers", Type = 0, x = 2675, z = 3838 }
Data.Dom[601] =  { ZoneName = "Crimson Badlands", ZoneID = 0, Name = "Sticky Supplies", Type = 4, x = -22141, z = -27618 }
Data.Dom[602] =  { ZoneName = "Crimson Badlands", ZoneID = 0, Name = "Living Stone", Type = 0, x = -22315, z = -28064 }
Data.Dom[603] =  { ZoneName = "Crimson Badlands", ZoneID = 0, Name = "Waterlogged", Type = 2, x = -21871, z = -27503 }
Data.Dom[606] =  { ZoneName = "Crimson Badlands", ZoneID = 0, Name = "Life Splice", Type = 1, x = -22081, z = -27972 }
Data.Dom[609] =  { ZoneName = "Crimson Badlands", ZoneID = 0, Name = "Rock Climber", Type = 2, x = -22442, z = -28447 }
Data.Dom[610] =  { ZoneName = "Crimson Badlands", ZoneID = 0, Name = "Coastal Scarhide Executioner", Type = 0, x = -22442, z = -27225 }
Data.Dom[631] =  { ZoneName = "Housing", ZoneID = 0, Name = "Rider on the Storm", Type = 2, x = 0, z = 0 }
Data.Dom[632] =  { ZoneName = "Housing", ZoneID = 0, Name = "Cracking the Code", Type = 2, x = 0, z = 0 }
Data.Dom[636] =  { ZoneName = "Housing", ZoneID = 0, Name = "That's the Spirit!", Type = 1, x = 0, z = 0 }
Data.Dom[641] =  { ZoneName = "Auroria", ZoneID = 0, Name = "XT 9 Hazardous Hallway", Type = 2, x = -1821, z = -1232 }
Data.Dom[646] =  { ZoneName = "Southern Grimvault", ZoneID = 0, Name = "Conquer the Corrupt", Type = 0, x = 0, z = 0 }
Data.Dom[647] =  { ZoneName = "Bio-Dome 3", ZoneID = 0, Name = "Tanglevine Trouble", Type = 0, x = 1105, z = -1546 }
Data.Dom[649] =  { ZoneName = "Housing", ZoneID = 0, Name = "This Ain't No Bathtub Hooch!", Type = 2, x = 0, z = 0 }
Data.Dom[654] =  { ZoneName = "Bio-Dome 3", ZoneID = 0, Name = "Jungle Dash", Type = 2, x = 1495, z = -1475 }
Data.Dom[655] =  { ZoneName = "Bio-Dome 4", ZoneID = 0, Name = "To the High Flame", Type = 2, x = 4999, z = -1546 }
Data.Dom[656] =  { ZoneName = "Southern Grimvault", ZoneID = 0, Name = "Grimvault Reaper", Type = 0, x = 1978, z = -1066 }
Data.Dom[657] =  { ZoneName = "Southern Grimvault", ZoneID = 0, Name = "Incorruptible", Type = 0, x = 2005, z = -1760 }
Data.Dom[658] =  { ZoneName = "Western Grimvault", ZoneID = 0, Name = "Demolition Expert", Type = 2, x = 859, z = -2563 }
Data.Dom[661] =  { ZoneName = "Bio-Dome 3", ZoneID = 0, Name = "Elemental Grab Bag", Type = 4, x = 1519, z = -1924 }
Data.Dom[662] =  { ZoneName = "Bio-Dome 4", ZoneID = 0, Name = "View From a Hill", Type = 2, x = 4490, z = -1558 }
Data.Dom[664] =  { ZoneName = "Bio-Dome 3", ZoneID = 0, Name = "Garr Egg Squish", Type = 2, x = 1176, z = -1467 }
Data.Dom[668] =  { ZoneName = "Bio-Dome 4", ZoneID = 0, Name = "Sandy Secrets", Type = 0, x = 4690, z = -1775 }
Data.Dom[672] =  { ZoneName = "Bio-Dome 4", ZoneID = 0, Name = "Elemental Extermination", Type = 0, x = 4402, z = -1199 }
Data.Dom[673] =  { ZoneName = "Bio-Dome 3", ZoneID = 0, Name = "A Bouquet of Willoweep", Type = 4, x = 1936, z = -1536 }
Data.Dom[675] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Hard as Iron", Type = 0, x = 3255, z = -4160 }
Data.Dom[676] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Airdrop Gone Wrong", Type = 4, x = 2412, z = -4979 }
Data.Dom[680] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Race to the Unknown", Type = 2, x = 2299, z = -4602 }
Data.Dom[681] =  { ZoneName = "Housing", ZoneID = 0, Name = "Eggbeater", Type = 2, x = 0, z = 0 }
Data.Dom[682] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Tending the Garden", Type = 0, x = 1417, z = -4069 }
Data.Dom[683] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Podsweeper", Type = 0, x = 1105, z = -4284 }
Data.Dom[684] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Gator Hater", Type = 0, x = 2130, z = -4400 }
Data.Dom[685] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Claw and Staff", Type = 0, x = 1638, z = -4158 }
Data.Dom[686] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "How to Save a Life", Type = 2, x = 1948, z = -4206 }
Data.Dom[687] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Loot of the Lost", Type = 4, x = 3258, z = -4159 }
Data.Dom[688] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Dastardly Duskfangs", Type = 0, x = 1386, z = -3810 }
Data.Dom[689] =  { ZoneName = "Southern Grimvault", ZoneID = 0, Name = "Disarming Fingers", Type = 1, x = 2572, z = 254 }
Data.Dom[690] =  { ZoneName = "Southern Grimvault", ZoneID = 0, Name = "Peep Chase", Type = 1, x = 2708, z = 675 }
Data.Dom[693] =  { ZoneName = "Western Grimvault", ZoneID = 0, Name = "Get Off My Ship!", Type = 0, x = 691, z = -4120 }
Data.Dom[694] =  { ZoneName = "Western Grimvault", ZoneID = 0, Name = "What's in the Box?", Type = 4, x = 691, z = -4120 }
Data.Dom[699] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Explosive Ascent", Type = 2, x = 1061, z = 371 }
Data.Dom[700] =  { ZoneName = "Western Grimvault", ZoneID = 0, Name = "Might as Well Jump", Type = 7, x = 691, z = -4120 }
Data.Dom[702] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Walatusk Meat", Type = 4, x = 4028, z = -430 }
Data.Dom[703] =  { ZoneName = "Illium", ZoneID = 0, Name = "Experiment Escapees", Type = 1, x = -3121, z = -705 }
Data.Dom[708] =  { ZoneName = "Illium", ZoneID = 0, Name = "Help Wanted", Type = 2, x = -2940, z = -937 }
Data.Dom[709] =  { ZoneName = "Illium", ZoneID = 0, Name = "Spread the Word", Type = 1, x = -3105, z = -763 }
Data.Dom[710] =  { ZoneName = "Illium", ZoneID = 0, Name = "Capital Trash", Type = 2, x = -3340, z = -1038 }
Data.Dom[712] =  { ZoneName = "Illium", ZoneID = 0, Name = "The Slank in the Landing", Type = 2, x = -3125, z = -1240 }
Data.Dom[737] =  { ZoneName = "Malgrave", ZoneID = 0, Name = "Scrapping the Scrab", Type = 0, x = 2087, z = 4051 }
Data.Dom[739] =  { ZoneName = "Housing", ZoneID = 0, Name = "Dump Diving", Type = 4, x = 0, z = 0 }
Data.Dom[740] =  { ZoneName = "Housing", ZoneID = 0, Name = "Shiny Vind Chase", Type = 2, x = 0, z = 0 }
Data.Dom[742] =  { ZoneName = "Housing", ZoneID = 0, Name = "Heart and Souls", Type = 2, x = 0, z = 0 }
Data.Dom[743] =  { ZoneName = "Housing", ZoneID = 0, Name = "Grounding the Storm", Type = 2, x = 0, z = 0 }
Data.Dom[745] =  { ZoneName = "Housing", ZoneID = 0, Name = "Intercept the Ikthians", Type = 2, x = 0, z = 0 }
Data.Dom[747] =  { ZoneName = "Housing", ZoneID = 0, Name = "Ice Anomalies", Type = 2, x = 0, z = 0 }
Data.Dom[753] =  { ZoneName = "Housing", ZoneID = 0, Name = "Top of the World", Type = 2, x = 0, z = 0 }
Data.Dom[923] =  { ZoneName = "Farside", ZoneID = 0, Name = "Entrance Exam", Type = 2, x = 2991, z = -6692 }
Data.Dom[953] =  { ZoneName = "Alpha Complex", ZoneID = 0, Name = "Full of Life", Type = 2, x = 2689, z = -1968 }
Data.Dom[954] =  { ZoneName = "Alpha Complex", ZoneID = 0, Name = "Hot Feet", Type = 2, x = 3280, z = -1971 }
Data.Dom[956] =  { ZoneName = "Illium", ZoneID = 0, Name = "Back to Basic", Type = 2, x = -2976, z = -560 }
Data.Dom[957] =  { ZoneName = "Bio-Dome 4", ZoneID = 0, Name = "Just Keep Swinging", Type = 7, x = 4725, z = -1578 }
Data.Dom[958] =  { ZoneName = "Illium", ZoneID = 0, Name = "Shipside Delivery", Type = 2, x = -3478, z = -703 }
Data.Dom[963] =  { ZoneName = "Housing", ZoneID = 0, Name = "Gold Grab", Type = 2, x = 0, z = 0 }
Data.Dom[971] =  { ZoneName = "Housing", ZoneID = 0, Name = "Tower Defender", Type = 2, x = 0, z = 0 }
Data.Dom[973] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Red Light Green Light", Type = 2, x = 1782, z = -2905 }
Data.Dom[974] =  { ZoneName = "Housing", ZoneID = 0, Name = "Evasive Maneuvers", Type = 2, x = 0, z = 0 }
Data.Dom[977] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Soul Sanctification", Type = 1, x = 2085, z = -3185 }
Data.Dom[979] =  { ZoneName = "Whitevale", ZoneID = 0, Name = "Doing Things The Hard Way", Type = 2, x = 3736, z = 211 }
Data.Dom[980] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Bird Watching", Type = 2, x = 2259, z = -2482 }
Data.Dom[983] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Sister Slaughter", Type = 0, x = 1778, z = -2440 }
Data.Dom[984] =  { ZoneName = "Wilderrun", ZoneID = 0, Name = "Animal Annihilation", Type = 0, x = 2008, z = -2726 }
Data.Dom[988] =  { ZoneName = "Housing", ZoneID = 0, Name = "Stomping Grounds", Type = 2, x = 0, z = 0 }
Data.Dom[989] =  { ZoneName = "Housing", ZoneID = 0, Name = "Steamglider Flurry", Type = 1, x = 0, z = 0 }
Data.Dom[990] =  { ZoneName = "Housing", ZoneID = 0, Name = "When Cubigs Fly", Type = 2, x = 0, z = 0 }
Data.Dom[991] =  { ZoneName = "Western Grimvault", ZoneID = 0, Name = "Holo Visions", Type = 2, x = 780, z = -4033 }
Data.Dom[992] =  { ZoneName = "Western Grimvault", ZoneID = 0, Name = "Poppin' Pustules", Type = 2, x = -1023, z = -4095 }
Data.Dom[993] =  { ZoneName = "Western Grimvault", ZoneID = 0, Name = "Vile Evisceration", Type = 0, x = -1023, z = -4095 }
Data.Dom[994] =  { ZoneName = "Western Grimvault", ZoneID = 0, Name = "Falling With Style", Type = 2, x = -195, z = -3618 }
Data.Dom[997] =  { ZoneName = "The Core", ZoneID = 0, Name = "Hacking the System", Type = 0, x = 0, z = -2 }
Data.Dom[1008] =  { ZoneName = "Blighthaven", ZoneID = 0, Name = "Smackdown in the Swamp", Type = 0, x = 2530, z = -5422 }
Data.Dom[1009] =  { ZoneName = "Blighthaven", ZoneID = 0, Name = "The Element of Destruction", Type = 0, x = 2432, z = -6319 }
Data.Dom[1010] =  { ZoneName = "Blighthaven", ZoneID = 0, Name = "Up in the Air", Type = 0, x = 1954, z = -7296 }
Data.Dom[1012] =  { ZoneName = "Blighthaven", ZoneID = 0, Name = "Illogical Arguments", Type = 1, x = 3312, z = -6667 }
Data.Dom[1013] =  { ZoneName = "Blighthaven", ZoneID = 0, Name = "Between a Rock and a Hot Place", Type = 0, x = 3096, z = -6310 }
Data.Dom[1014] =  { ZoneName = "Blighthaven", ZoneID = 0, Name = "Windwalker", Type = 2, x = 3065, z = -6589 }
Data.Dom[1032] =  { ZoneName = "Blighthaven", ZoneID = 0, Name = "Cannonball", Type = 7, x = 2530, z = -5422 }
Data.Dom[1033] =  { ZoneName = "Blighthaven", ZoneID = 0, Name = "Speedy Shroomery", Type = 4, x = 2653, z = -5614 }
Data.Dom[1038] =  { ZoneName = "Blighthaven", ZoneID = 0, Name = "Ride the Lightning", Type = 7, x = 987, z = -4904 }
Data.Dom[1046] =  { ZoneName = "Deradune", ZoneID = 0, Name = "The Gooed, the Bad, and the Ugly", Type = 1, x = -5031, z = 135 }
Data.Dom[1047] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Grim Cargo", Type = 4, x = -4749, z = 260 }
Data.Dom[1048] =  { ZoneName = "Deradune", ZoneID = 0, Name = "Whirlwind Racer", Type = 2, x = -4622, z = -1865 }
Data.Dom[1051] =  { ZoneName = "Blighthaven", ZoneID = 0, Name = "Don't Drink the Juice", Type = 2, x = 1714, z = -5339 }
Data.Dom[1073] =  { ZoneName = "Housing", ZoneID = 0, Name = "Medic!", Type = 2, x = 0, z = 0 }
Data.Dom[1083] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Surveillance Scrounger", Type = 4, x = 5599, z = -2000 }
Data.Dom[1084] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Feather in Your Cap", Type = 4, x = 5558, z = -2899 }
Data.Dom[1085] =  { ZoneName = "Galeras", ZoneID = 0, Name = "Windy Climb", Type = 2, x = 5713, z = -2972 }
Data.Dom[1086] =  { ZoneName = "Derelict Silo E23", ZoneID = 0, Name = "Face Off", Type = 0, x = 5602, z = -11614 }
Data.Dom[1087] =  { ZoneName = "Farside", ZoneID = 0, Name = "Plasma Donors", Type = 4, x = 3407, z = -5195 }
Data.Dom[1095] =  { ZoneName = "Blighthaven", ZoneID = 0, Name = "Subterranean Simians", Type = 0, x = 1714, z = -5339 }
Data.Dom[1096] =  { ZoneName = "Housing", ZoneID = 0, Name = "Give 'Em the Boot", Type = 2, x = 0, z = 0 }
Data.Dom[1079] =  { ZoneName = "The Defile", ZoneID = 0, Name = "Resonance Runner", Type = 2, x = 2851, z = -6133 }
Data.Dom[1102] =  { ZoneName = "The Defile", ZoneID = 0, Name = "Such Kills", Type = 0, x =3897 , z = -4132}
Data.Dom[1105] =  { ZoneName = "The Defile", ZoneID = 0, Name = "Another Sassy Mess", Type = 7, x =4712  , z = -4202}
Data.Dom[1080] =  { ZoneName = "The Defile", ZoneID = 0, Name = "A Buzz Cut", Type = 0, x =4905  , z = -4304}
Data.Dom[1077] =  { ZoneName = "The Defile", ZoneID = 0, Name = "Bug Off", Type = 1, x =4905  , z = -4304}
Data.Dom[1078] =  { ZoneName = "The Defile", ZoneID = 0, Name = "Diagnostic Tests", Type = 2, x =4085  , z = -4788}
Data.Dom[1075] =  { ZoneName = "The Defile", ZoneID = 0, Name = "Brain Drain", Type = 0, x =4085  , z = -4788}
Data.Dom[1074] =  { ZoneName = "The Defile", ZoneID = 0, Name = "Elementalist", Type = 0, x =5163  , z = -4854}

function KiruChalDataLib:OnLoad()
	self.PlayerFaction = Unit.CodeEnumFaction.ExilesPlayer
	self.TotalDom = self:GetTableLength(Data.Dom)
	self.TotalExile = self:GetTableLength(Data.Exile)
end

function KiruChalDataLib:SetFaction(faction)
	self.PlayerFaction = faction
	if faction == Unit.CodeEnumFaction.ExilesPlayer then
		Data.Dom = {}
	else
		Data.Exile = {}
	end
end

function KiruChalDataLib:Remove(challengeID)
	Data.Dom[challengeID] = nil
	Data.Exile[challengeID] = nil
end

--silly LUA and its inability to count table entries using non-sequential integer keys
function KiruChalDataLib:GetTableLength(t)
  	local c = -1
	if t then
		c = 0
	  	for _ in pairs(t) do c = c + 1 end
	end
  	return c 
end

function KiruChalDataLib:GetChallenge(CID)
	if self.PlayerFaction == Unit.CodeEnumFaction.ExilesPlayer then
		return Data.Exile[CID]
	end
	return Data.Dom[CID]
end

function KiruChalDataLib:GetList()
	if self.PlayerFaction == Unit.CodeEnumFaction.ExilesPlayer then
		return Data.Exile
	end
	return Data.Dom
end

function KiruChalDataLib:GetCount()
	if self.PlayerFaction == Unit.CodeEnumFaction.ExilesPlayer then
		return self:GetTableLength(Data.Exile), self.TotalExile
	end
	return self:GetTableLength(Data.Dom), self.TotalDom
end

function KiruChalDataLib:new(o)
	o = o or {}
	setmetatable(o, self)
	self.__index = self
	return o
end

Apollo.RegisterPackage(KiruChalDataLib:new(), LibraryName, Version, {})
